Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.entry
Class ComputeResourceUtilization

    java.lang.Object
      net.jini.entry.AbstractEntry
          org.jini.rio.entry.ComputeResourceUtilization

All Implemented Interfaces:
  Serializable, Comparable, Entry, ServiceControlled

Deprecated. As of Rio 3.3 this class is no longer used. The impacts of adding a ComputeResourceUtilization attributes for each service, and subsequently updating it as the state of depletion-oriented resources changed may cause performance issues with reggie's event notification scheme, since the change in the attribute collection results in a `ServiceDiscoveryListener.serviceChanged(net.jini.lookup.ServiceDiscoveryEvent)` notification. Services no longer have this attribute.

    public class ComputeResourceUtilization

extends AbstractEntry
implements Comparable, ServiceControlled

See Also:
  `ComputeResourceUtilization`, `ComputeResourceAdmin`, Serialized Form

Field Summary
`String` | `address` Deprecated. The IP Address of the compute resource
`String` | `description` Deprecated. Description of the ComputeResource
`String` | `hostName` Deprecated. The host name of the compute resource
`Double` | `utilization` Deprecated. The utilization of the compute resource, which is a summation of `MeasuredResource` components, representing a snapshot of the depletion-oriented resources of the compute resource
`Map` | `utilizationMap` Deprecated. Map of measurable capability utilization values

Constructor Summary
`ComputeResourceUtilization()` Deprecated. Construct a ComputeResourceUtilization
`ComputeResourceUtilization(String description, String hostName, String address, Double utilization, Map uMap)` Deprecated. Construct a ComputeResourceUtilization

Method Summary
`int` | `compareTo(Object o)` Deprecated. Compares this ResourceCapability object with another ComputeResourceUtilization object for order using the computed utilization of the ComputeResourceUtilization

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### description

    public String description

  Deprecated.
  Description of the ComputeResource

### hostName

    public String hostName

  Deprecated.
  The host name of the compute resource

### address

    public String address

  Deprecated.
  The IP Address of the compute resource

### utilization

    public Double utilization

  Deprecated.
  The utilization of the compute resource, which is a summation of `MeasuredResource` components, representing a snapshot of the depletion-oriented resources of the compute resource

### utilizationMap

    public Map utilizationMap

  Deprecated.
  Map of measurable capability utilization values

Constructor Detail

### ComputeResourceUtilization

    public ComputeResourceUtilization()

  Deprecated.
  Construct a ComputeResourceUtilization

### ComputeResourceUtilization

    public ComputeResourceUtilization(String description,
                                      String hostName,
                                      String address,
                                      Double utilization,
                                      Map uMap)

  Deprecated.
  Construct a ComputeResourceUtilization

  Parameters:
    `description` - A description for the resource
    `hostName` - The host name of the ComputeResource
    `address` - IP address of the ComputeResource
    `utilization` - Composite utilization of the ComputeResource
    `uMap` - Map of name, value pairs corresponding to whats being measured on the compute resource

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated.
  Compares this ResourceCapability object with another ComputeResourceUtilization object for order using the computed utilization of the ComputeResourceUtilization

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - Object to compare to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.